#!/usr/bin/python -Qwarnall

import sys, os, getopt, subprocess

def die(message):
	print >> sys.stderr, str(message)
	exit(1)

if __name__ == '__main__':
	if len(sys.argv) != 3:
		die('Usage: ' + sys.argv[0] + ' infile outfile')
	infile = sys.argv[1]
	outfile = sys.argv[2]

	if not os.path.isfile(infile):
		die(infile + ' is not a file')
	outdir = os.path.dirname(outfile)
	try:
		os.makedirs(outdir)
	except:
		pass
	if not os.path.isdir(outdir):
		die(outdir + ' is not a directory')
	if not os.access(outdir, os.W_OK):
		die(outdir + ' is not writable')

	subprocess.call(["/home/oever/work/nokia/inst/bin/calligrawords", "--export-pdf", "--export-filename", outfile, infile])

